<?php
if (!defined('WPINC')) {
    die();
}

$default_class = 'estatebud-textarea-field';

if (isset($extra_class) && !empty($extra_class)) {
    $default_class .= ' ' . $extra_class;
}
?>

<textarea
    rows="5"
    cols="39"
    class="<?php echo esc_attr($default_class); ?>"
    name="<?php echo esc_attr($variable_name ?? ''); ?>"
    placeholder="<?php echo esc_attr($placeholder ?? ''); ?>"
    <?php
    echo !empty($required) ? ' required' : '';
    ?>
><?php echo esc_textarea($value ?? ''); ?></textarea>